brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From m4rkmckenna <...@git.apache.org>
Subject [GitHub] brooklyn-library pull request #76: Tweak to password change effector so that...
Date Fri, 25 Nov 2016 10:30:21 GMT
GitHub user m4rkmckenna opened a pull request:

    https://github.com/apache/brooklyn-library/pull/76

    Tweak to password change effector so that sed identifier is escaped

    *Previously*
    `s@<regex>@<replace>@g` would not work for a password with an `@`
    *Now*
    `s/<regex>/<replace>/g` `/` values are escaped in the replace value

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/m4rkmckenna/brooklyn-library bugfix/mysql-node-password-effector

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/brooklyn-library/pull/76.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #76
    
----
commit 465e1b2be1de64706797e08d390401c212f453da
Author: Mark McKenna <m4rkmckenna@gmail.com>
Date:   2016-11-25T10:25:17Z

    Tweak to password change effector so that sed identifier is escaped
    
    *Previously*
    `s@<regex>@<replace>@g` would not work for a password with an `@`
    *Now*
    `s/<regex>/<replace>/g` `/` values are escaped in the replace value

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message